BambooHR
BambooHR is a human resources software that helps HR teams manage employee data, hiring, onboarding, time tracking, payroll, performance management, and more in one platform.
Categories: Human Resources Information System
Type: bambooHr/v1
Connections
Version: 1
Basic Auth
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| companyDomain | Company Domain | STRING | Text before .bamboohr.com when logged in to BambooHR. | true |
| username | API Key | STRING | true |
Connection Setup
- Login to the dashboard at https://app.bamboohr.com/login/.
- Click on My Account.
- Click on API Keys.
- Click Add New Key.
- Name new API key and click Generate Key.
- Copy the API key and click Done. Use these credentials to create a connection in ByteChef.
Actions
Create Employee
Name: createEmployee
Add a new employee.
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| firstName | First Name | STRING | The first name of the employee. | true |
| lastName | Last Name | STRING | The last name of the employee. | true |
| employeeNumber | Employee Number | STRING | The employee number of the employee. | false |
| jobTitle | Job Title | STRING | The job title of the employee. | false |
| location | Location | STRING | The employee's current location. | false |
| employmentHistoryStatus | Employee Status | STRING | The employment status of the employee. | false |
| hireDate | Hire Date | DATE | The date the employee was hired. | false |
Example JSON Structure
{
"label" : "Create Employee",
"name" : "createEmployee",
"parameters" : {
"firstName" : "",
"lastName" : "",
"employeeNumber" : "",
"jobTitle" : "",
"location" : "",
"employmentHistoryStatus" : "",
"hireDate" : "2021-01-01"
},
"type" : "bambooHr/v1/createEmployee"
}Output
Type: OBJECT
Properties
| Name | Type | Description |
|---|---|---|
| url | STRING | The URL to view the employee in the web app. |
| id | STRING | The ID of the employee. |
Output Example
{
"url" : "",
"id" : ""
}Update Employee
Name: updateEmployee
Update an employee, based on employee ID.
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| id | Employee ID | STRING | The ID of the employee. | true |
| firstName | Updated First Name | STRING | The updated first name of the employee. | false |
| lastName | Updated Last Name | STRING | The updated last name of the employee. | false |
| jobTitle | Updated Job Title | STRING | The updated job title of the employee. | false |
| location | Updated Location | STRING | The updated employee's current location. | false |
| employmentHistoryStatus | Updated Employee Status | STRING | The updated employment status of the employee. | false |
| hireDate | Updated Hire Date | DATE | The updated date the employee was hired. | false |
Example JSON Structure
{
"label" : "Update Employee",
"name" : "updateEmployee",
"parameters" : {
"id" : "",
"firstName" : "",
"lastName" : "",
"jobTitle" : "",
"location" : "",
"employmentHistoryStatus" : "",
"hireDate" : "2021-01-01"
},
"type" : "bambooHr/v1/updateEmployee"
}Output
This action does not produce any output.
Find Employee ID
To find the Employee ID, click here.
Get Employee
Name: getEmployee
Get employee data, based on employee ID.
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| id | Employee ID | STRING | The ID of the employee. | true |
| fields | null | ARRAY Items[STRING] | Fields you want to get from employee. See documentation for available fields. | true |
Example JSON Structure
{
"label" : "Get Employee",
"name" : "getEmployee",
"parameters" : {
"id" : "",
"fields" : [ "" ]
},
"type" : "bambooHr/v1/getEmployee"
}Output
The output for this action is dynamic and may vary depending on the input parameters. To determine the exact structure of the output, you need to execute the action.
Find Employee ID
To find the Employee ID, click here.
Find Fields
To find the Fields, click here.
Update Employee File
Name: updateEmployeeFile
Update an employee file.
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| id | Employee ID | STRING | The ID of the employee. | true |
| fileId | File ID | STRING Depends Onid | The ID of the employee file being updated. | true |
| name | Updated File Name | STRING | Use if you want to rename the file. | false |
| categoryId | Updated Category ID | STRING | Use if you want to move the file to a different category. | false |
| shareWithEmployee | Update Sharing The File | BOOLEAN Optionstrue, false | Use if you want to update whether this file is shared or not. | false |
Example JSON Structure
{
"label" : "Update Employee File",
"name" : "updateEmployeeFile",
"parameters" : {
"id" : "",
"fileId" : "",
"name" : "",
"categoryId" : "",
"shareWithEmployee" : false
},
"type" : "bambooHr/v1/updateEmployeeFile"
}Output
This action does not produce any output.
Find Employee ID
To find the Employee ID, click here.
Find File ID
To find the File ID, click here.
Triggers
Updated Employee
Name: updatedEmployee
Triggers when specific employee fields are updated.
Type: DYNAMIC_WEBHOOK
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| monitorFields | Fields to Monitor | ARRAY Items[STRING] | The fields to monitor for changes. | true |
| postFields | Fields to include in the Output | ARRAY Items[STRING] | The fields to include in the output. | true |
Output
The output for this action is dynamic and may vary depending on the input parameters. To determine the exact structure of the output, you need to execute the action.
JSON Example
{
"label" : "Updated Employee",
"name" : "updatedEmployee",
"parameters" : {
"monitorFields" : [ "" ],
"postFields" : [ "" ]
},
"type" : "bambooHr/v1/updatedEmployee"
}Find Fields
To find the Fields, click here.
New Employee
Name: newEmployee
Triggers when a new employee is created.
Type: POLLING
Output
Type: STRING
JSON Example
{
"label" : "New Employee",
"name" : "newEmployee",
"type" : "bambooHr/v1/newEmployee"
}What to do if your action is not listed here?
If this component doesn't have the action you need, you can use Custom Action to create your own. Custom Actions empower you to define HTTP requests tailored to your specific requirements, allowing for greater flexibility in integrating with external services or APIs.
To create a Custom Action, simply specify the desired HTTP method, path, and any necessary parameters. This way, you can extend the functionality of your component beyond the predefined actions, ensuring that you can meet all your integration needs effectively.
Additional Instructions
How to find Employee ID
Use the GET /employees/directory endpoint to retrieve a list of all employees and their IDs.
The Employee ID can also be found in the output of the following actions and triggers:
- Create Employee
- New Employee trigger
- Updated Employee trigger
How to find Fields
Use the GET /meta/fields endpoint to retrieve a list of all fields or visit https://documentation.bamboohr.com/docs/list-of-field-names where you can find field names.
How to find File ID
Use the GET /employees/EMPLOYEE_ID/files/view endpoint to retrieve a list of all files from specific employee and their IDs.
How is this guide?
Last updated on
Azure OpenAI
Azure OpenAI is a research organization that aims to develop and direct artificial intelligence (AI) in ways that benefit humanity as a whole.
Baserow
Baserow is an open-source, no-code database platform that enables users to create, manage, and collaborate on databases through a user-friendly interface.